# Linux Kernel Module Cheat

#### 17.18.3. libdri2

TODO get working.

Looks like a more raw alternative to libdrm:

    ./build-buildroot --config 'BR2_PACKABE_LIBDRI2=y'
    wget \
      -O "$(./getvar userland_source_dir)/dri2test.c" \
      https://raw.githubusercontent.com/robclark/libdri2/master/test/dri2test.c \
    ;
    ./build-userland

but then I noticed that that example requires multiple files, and I don’t feel like integrating it into our build.

When I build it on Ubuntu 18.04 host, it does not generate any executable, so I’m confused.